/* BFC 공부할 것 */

.container div {
  /* width: 100px;
  inline-size: 100px; */
  height: 100px;
  block-size: 100px;
  text-align: center;
  line-height: 100px;
}

.container {
  border: 10px solid currentColor;
  /* display: flow-root; */
  overflow: hidden;
}

div .box1 {
  background-color: salmon;
  float: left;
  width: 100px;
  inline-size: 100px;
}

div .box2 {
  background-color: lightblue;
  height: auto;
  block-size: auto;
  line-height: normal;
  text-align: left;
}

div .box3 {
  background-color: lightgreen;
  clear: both;
  /* margin-top: 20px;
  margin-block-start: 20px; */
  width: 200px;
  inline-size: 200px;
  float: right;
}

div .box4 {
  background-color: yellow;
  width: 300px;
  inline-size: 300px;
  float: right;
  /* top: 50px; 꼼수 */
}
